> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List attachment overviews

> Retrieve a list of attachment overviews with optional filters, search, and pagination



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml get /attachment-overviews
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /attachment-overviews:
    get:
      tags:
        - attachments
      summary: List attachment overviews
      description: >-
        Retrieve a list of attachment overviews with optional filters, search,
        and pagination
      parameters:
        - description: Pagination offset
          in: query
          name: offset
          schema:
            type: integer
        - description: Pagination limit
          in: query
          name: limit
          schema:
            type: integer
        - description: Sorting order (e.g., 'created_at asc')
          in: query
          name: order_by
          schema:
            type: string
        - description: Search term
          in: query
          name: search
          schema:
            type: string
        - description: Filter by type of attachment (e.g., 'model_version')
          in: query
          name: type
          schema:
            type: string
        - description: Filter by identifier filename
          in: query
          name: identifier.filename
          schema:
            type: string
        - description: Filter by identifier datasetId
          in: query
          name: identifier.datasetId
          schema:
            type: string
        - description: Filter by identifier snapshotId
          in: query
          name: identifier.snapshotId
          schema:
            type: string
        - description: Filter by identifier commit
          in: query
          name: identifier.commit
          schema:
            type: string
        - description: Filter by identifier branch
          in: query
          name: identifier.branch
          schema:
            type: string
        - description: Filter by identifier source
          in: query
          name: identifier.source
          schema:
            type: string
        - description: Filter by identifier name
          in: query
          name: identifier.name
          schema:
            type: string
        - description: Filter by identifier version
          in: query
          name: identifier.version
          schema:
            type: string
        - description: Filter by identifier volumeId
          in: query
          name: identifier.volumeId
          schema:
            type: string
        - description: Filter by identifier artifactId
          in: query
          name: identifier.artifactId
          schema:
            type: string
        - description: Filter by identifier executionName
          in: query
          name: identifier.executionName
          schema:
            type: string
        - description: Filter by identifier executionWorkflowName
          in: query
          name: identifier.executionWorkflowName
          schema:
            type: string
        - description: Filter by identifier executionWorkflowVersion
          in: query
          name: identifier.executionWorkflowVersion
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PaginatedAttachmentOverviews'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PaginatedAttachmentOverviews:
      properties:
        data:
          items:
            $ref: '#/components/schemas/guardrails.AttachmentOverview'
          type: array
        meta:
          $ref: '#/components/schemas/guardrails.Meta'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.AttachmentOverview:
      properties:
        approvalTimelineMap:
          additionalProperties:
            $ref: '#/components/schemas/guardrails.ApprovalTimelineInfo'
          type: object
        bundle:
          $ref: '#/components/schemas/guardrails.Bundle'
        createdAt:
          type: string
        createdBy:
          type: object
        id:
          type: string
        identifier:
          type: object
        type:
          $ref: '#/components/schemas/guardrails.AttachmentType'
      type: object
    guardrails.Meta:
      properties:
        filters:
          items:
            $ref: '#/components/schemas/guardrails.Filter'
          type: array
        pagination:
          $ref: '#/components/schemas/guardrails.Pagination'
        search:
          type: string
        sort:
          items:
            $ref: '#/components/schemas/guardrails.Sorter'
          type: array
      type: object
    guardrails.ApprovalTimelineInfo:
      properties:
        approvalStatus:
          $ref: '#/components/schemas/guardrails.ApprovalStatus'
        timelineStatus:
          $ref: '#/components/schemas/guardrails.ApprovalTimelineStatus'
        updatedAt:
          type: string
      type: object
    guardrails.Bundle:
      properties:
        attachments:
          items:
            $ref: '#/components/schemas/guardrails.Attachment'
          type: array
        classificationValue:
          description: The classification value of the primary policy
          type: string
        commentsCount:
          type: integer
        createdAt:
          type: string
        createdBy:
          type: object
        gates:
          items:
            $ref: '#/components/schemas/guardrails.Gate'
          type: array
        id:
          type: string
        name:
          type: string
        policies:
          items:
            $ref: '#/components/schemas/guardrails.BundlePolicy'
          type: array
        policyId:
          description: The ID of the primary policy
          type: string
        policyName:
          type: string
        policyVersionId:
          description: The version of the primary policy
          type: string
        projectId:
          type: string
        projectName:
          type: string
        projectOwner:
          type: string
        stage:
          description: The stage of the primary policy
          type: string
        stageApprovals:
          items:
            $ref: '#/components/schemas/guardrails.StageApproval'
          type: array
        stageAssignee:
          allOf:
            - $ref: '#/components/schemas/guardrails.BundleStageAssignee'
          description: The assignee to the stage of the primary policy
        stages:
          items:
            $ref: '#/components/schemas/guardrails.BundleStage'
          type: array
        state:
          $ref: '#/components/schemas/guardrails.BundleState'
      required:
        - id
        - state
      type: object
    guardrails.AttachmentType:
      enum:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
      type: string
      x-enum-varnames:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
    guardrails.Filter:
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
      type: object
    guardrails.Pagination:
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
      type: object
    guardrails.Sorter:
      properties:
        key:
          type: string
        order:
          type: string
      type: object
    guardrails.ApprovalStatus:
      enum:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
      type: string
      x-enum-varnames:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
    guardrails.ApprovalTimelineStatus:
      enum:
        - Valid
        - Invalid
      type: string
      x-enum-varnames:
        - Valid
        - Invalid
    guardrails.Attachment:
      properties:
        approvalTimelineMap:
          additionalProperties:
            $ref: '#/components/schemas/guardrails.ApprovalTimelineInfo'
          type: object
        createdAt:
          type: string
        createdBy:
          type: object
        id:
          type: string
        identifier:
          type: object
        type:
          $ref: '#/components/schemas/guardrails.AttachmentType'
      type: object
    guardrails.Gate:
      properties:
        bundleId:
          type: string
        id:
          type: string
        isOpen:
          type: boolean
        name:
          type: string
        policyGateId:
          type: string
        reason:
          type: string
        resources:
          items:
            $ref: '#/components/schemas/guardrails.RuleDefinition'
          type: array
      type: object
    guardrails.BundlePolicy:
      properties:
        bundleId:
          type: string
        classificationValue:
          type: string
        createdAt:
          type: string
        deactivatedAt:
          type: string
        enforceSequentialOrder:
          type: boolean
        isPolicyArchived:
          type: boolean
        policyId:
          type: string
        policyName:
          type: string
        policyVersionId:
          type: string
        stage:
          type: string
      type: object
    guardrails.StageApproval:
      properties:
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.Approver'
          type: array
        evidence:
          $ref: '#/components/schemas/guardrails.Evidence'
        id:
          type: string
        name:
          type: string
        required:
          type: boolean
      type: object
    guardrails.BundleStageAssignee:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.BundleStage:
      properties:
        assignedAt:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.BundleStageAssignee'
        bundleId:
          type: string
        stage:
          $ref: '#/components/schemas/guardrails.Stage'
        stageId:
          type: string
      type: object
    guardrails.BundleState:
      enum:
        - Active
        - Archived
        - Complete
      type: string
      x-enum-varnames:
        - ActiveState
        - ArchivedState
        - CompleteState
    guardrails.RuleDefinition:
      properties:
        action:
          $ref: '#/components/schemas/guardrails.RuleAction'
        failOpen:
          type: boolean
        parameters:
          type: object
      required:
        - action
      type: object
    guardrails.Approver:
      properties:
        editable:
          type: boolean
        fromOrganizationUserId:
          type: string
        id:
          type: string
        isOrganizationUser:
          type: boolean
        name:
          type: string
        showByDefault:
          type: boolean
      required:
        - editable
        - id
        - name
        - showByDefault
      type: object
    guardrails.Evidence:
      properties:
        artifacts:
          items:
            $ref: '#/components/schemas/guardrails.EvidenceArtifact'
          type: array
        createdAt:
          type: string
        description:
          type: string
        externalId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        scope:
          $ref: '#/components/schemas/guardrails.EvidenceScope'
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.Stage:
      properties:
        approvals:
          items:
            $ref: '#/components/schemas/guardrails.StageApproval'
          type: array
        evidenceSet:
          items:
            $ref: '#/components/schemas/guardrails.Evidence'
          type: array
        id:
          type: string
        name:
          type: string
        policyVersionId:
          type: string
      type: object
    guardrails.RuleAction:
      enum:
        - CreateApp
        - CreateEndpoint
      type: string
      x-enum-varnames:
        - CreateApp
        - CreateEndpoint
    guardrails.EvidenceArtifact:
      properties:
        artifactType:
          $ref: '#/components/schemas/guardrails.ArtifactType'
        details:
          type: object
        id:
          type: string
        required:
          type: boolean
        visibilityRule:
          type: string
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.EvidenceScope:
      enum:
        - Global
        - Local
      type: string
      x-enum-varnames:
        - Global
        - Local
    guardrails.ArtifactType:
      enum:
        - input
        - guidance
        - policyScriptedCheck
        - metadata
      type: string
      x-enum-varnames:
        - Input
        - Guidance
        - AutomatedJob
        - Metadata

````